Bug 196603 - Fix deskutils/strigidaemon with libc++ r224926
Summary: Fix deskutils/strigidaemon with libc++ r224926
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-kde (Team)
URL:
Keywords:
Depends on:
Blocks: 196535
  Show dependency treegraph
 
Reported: 2015-01-12 17:09 UTC by Dimitry Andric
Modified: 2015-01-24 19:47 UTC (History)
0 users

See Also:


Attachments
Fix deskutils/strigidaemon with libc++ r224926 (1.29 KB, patch)
2015-01-12 19:19 UTC, Dimitry Andric
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitry Andric freebsd_committer 2015-01-12 17:09:56 UTC
Bug 196535 shows that deskutils/strigidaemon fails to compile when libc++
r224926 is imported:

http://package18.nyi.freebsd.org/data/headamd64PR196535-default/2015-01-07_20h10m47s/logs/errors/strigidaemon-0.7.8_1.log

The fix is simple: operator==(const XesamSearch& xs) should be made const.
Comment 1 Gavin Atkinson freebsd_committer freebsd_triage 2015-01-12 18:45:52 UTC
Hi,

Due to an issue with the backend FreeBSD Bugzilla database, your original PR and any updates to it since have been lost.  I've recreated the original PR as best as I can, however any attachments and updates you submitted to the PR have been lost.  Please could you resubmit them?

Thanks, and apologies.
Comment 2 Dimitry Andric freebsd_committer 2015-01-12 19:19:37 UTC
Created attachment 151472 [details]
Fix deskutils/strigidaemon with libc++ r224926
Comment 3 Antoine Brodin freebsd_committer 2015-01-12 19:53:39 UTC
fixed
Comment 4 Raphael Kubo da Costa freebsd_committer 2015-01-24 19:22:18 UTC
For completeness, here's the mailing list archive with the comments that were lost: http://thread.gmane.org/gmane.comp.kde.freebsd/26806